Get Entities By Category
curl --request GET \
--url https://deep-index.moralis.io/api/v2.2/entities/categories/{categoryId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://deep-index.moralis.io/api/v2.2/entities/categories/{categoryId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://deep-index.moralis.io/api/v2.2/entities/categories/{categoryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": [
{
"name": "Uniswap",
"id": "uniswap",
"logo": "https://uniswap.io/favicon.ico",
"bio": "Uniswap is a decentralized finance protocol that is used to exchange cryptocurrencies.",
"description": "Uniswap is a decentralized finance protocol that is used to exchange cryptocurrencies.",
"website": "https://uniswap.io",
"twitter": "https://twitter.com/uniswap",
"type": "exchange",
"total_addresses": 100
}
],
"page": "1",
"page_size": "100"
}Entity API
Get Entities by Category
Fetch entities belonging to a specific category. Each entity returns name, logo, description, external links, total addresses and more.
GET
/
entities
/
categories
/
{categoryId}
Get Entities By Category
Authorizations
Path Parameters
The category Id
Example:
"1"
Query Parameters
The desired page size of the result.
Required range:
x >= 0⌘I

